Subject: Re: bug#22870: 25.0.91; Mouse-clicks fail on button overlays with display properties

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 20 Sep 2020 22:18:03 +0200

Artur Malabarba <[email-masked]> writes:

> 1. Visit the scratch buffer.
>
> 2. Evaluate this code:
>
> (defun my-action (&rest _)
>   (interactive)
>   (message "WORKED!"))
>
> (make-button (point-min) (+ 30 (point-min))
>              'display "..."
>              'action #'my-action
>              'follow-link t)
>
> 3. As expected, the first 30 chars of the buffer will be hidden under a
> button that displays as “...”.  Hitting RET on that buffer works as
> expected (you see the message “Worked!” on the echo-area).
>
> 4. Try clicking on the button with the mouse. You'll get the following error:
>
> Debugger entered--Lisp error: (void-function nil)
>   nil(("..." . 1))
>   button-activate(("..." . 1) t)
>   push-button((mouse-2 (#<window 3 on *scratch*> 1 (14 . 2) 15461622 ("..." . 1) 1 (1 . 0) nil (5 . 2) (9 . 18))))

I'm unable to reproduce this in Emacs 28, and I see that a change was
committed to the push-button command earlier this year, so I think this
has been fixed, and I'm closing this bug report.  If you can see this
bug in Emacs 28, please send a message to the debbugs address and we'll
reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no